[FIX] gems/aws-s3-0.6.2/lib/aws/s3/extensions.rb:84: invalid multibyte escape: /[\x80-\xFF]/ #23

Open
wants to merge 1 commit into
from

Projects

None yet

9 participants

@johnschult

Added # encoding: BINARY to first line of extensions.rb

@johnschult

The current release breaks under Ruby 1.9.2

@alexbhr
alexbhr commented Dec 4, 2010

+1 and amen to that one!

@fedegl
fedegl commented Sep 19, 2011

Why hasn't this been merged in?

@lurchpop

WTF! MAN!! This hasn't been fixed for 4 goddamn years

@iliastsangaris

^Agreed, this is ridiculous.

@wesbaker999

manually editing the fix submitted by johnschult worked for me

@gbrennon

How can I manually edit this? As my rails app install everything on heroku via rake, I can't edit my production files

@dara
dara commented Aug 15, 2015

@gbrennon if the app is using Paperclip you may simply replace 'aws-s3' gem with Paperclip's new default 'aws-sdk' in the gem file. It works automatically.

@cheshire137

This worked for me to fix the error with my aws-s3-0.6.2 install that would abort my Rake tasks.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment